=== arch/arm/mach-ep93xx/Makefile ===
#
# Makefile for the linux kernel.
#
obj-y			:= core.o clock.o
obj-m			:=
obj-n			:=
obj-			:=

obj-$(CONFIG_MACH_ADSSPHERE)	+= adssphere.o
obj-$(CONFIG_MACH_EDB9302)	+= edb9302.o
obj-$(CONFIG_MACH_EDB9302A)	+= edb9302a.o
obj-$(CONFIG_MACH_EDB9307)	+= edb9307.o
obj-$(CONFIG_MACH_EDB9312)	+= edb9312.o
obj-$(CONFIG_MACH_EDB9315)	+= edb9315.o
obj-$(CONFIG_MACH_EDB9315A)	+= edb9315a.o
obj-$(CONFIG_MACH_GESBC9312)	+= gesbc9312.o
obj-$(CONFIG_MACH_MICRO9)	+= micro9.o
obj-$(CONFIG_MACH_TS72XX)	+= ts72xx.o
