=== arch/x86/lib/Makefile ===
ifeq ($(CONFIG_X86_32),y)
include ${srctree}/arch/x86/lib/Makefile_32
else
include ${srctree}/arch/x86/lib/Makefile_64
endif
