=== debian/changelog ===
linux (2.6.24-29.89netbook01) netbook-common; urgency=low

  [Ike Panhc]

  * Rebased to 2.6.24-29.89

  [ Ubuntu: 2.6.24-29.89 ]

  * Release Tracking Bug
    - LP: #768380
  * [Config] remove generated files
  * econet: Fix crash in aun_incoming(). CVE-2010-4342
    - LP: #736394
    - CVE-2010-4342
  * sound: Prevent buffer overflow in OSS load_mixer_volumes, CVE-2010-4527
    - LP: #737073
    - CVE-2010-4527
  * irda: prevent integer underflow in IRLMP_ENUMDEVICES, CVE-2010-4529
    - LP: #737823
    - CVE-2010-4529
  * av7110: check for negative array offset, CVE-2011-0521
    - LP: #767526
    - CVE-2011-0521
  * xfs: prevent leaking uninitialized stack memory in FSGEOMETRY_V1,
    CVE-2011-0711
    - LP: #767740
    - CVE-2011-0711

 -- Ike Panhc <ike.pan@canonical.com>  Thu, 26 May 2011 15:24:26 +0800

linux (2.6.24-29.88netbook01) netbook-common; urgency=low

  [Ike Panhc]

  * Rebased to 2.6.24-29.88

  [ Ubuntu: 2.6.24-29.88 ]

  * Release Tracking Bug
    - LP: #736290
  * Ubuntu-2.6.24-29.87
  * [Config] Allow insertchanges to work in later version chroots
  * do_exit(): make sure that we run with get_fs() == USER_DS,
    CVE-2010-4258
    - LP: #723945
    - CVE-2010-4258
  * Make the bulkstat_one compat ioctl handling more sane
    - LP: #692848
  * Fix xfs_bulkstat_one size checks & error handling
    - LP: #692848
  * xfs: always use iget in bulkstat
    - LP: #692848
  * x25: Prevent crashing when parsing bad X.25 facilities CVE-2010-4164
    - LP: #731199
    - CVE-2010-4164
  * Revised [CVE-2010-4346 Hardy] install_special_mapping skips
    security_file_mmap check. CVE-2010-4346
    - LP: #731971
    - CVE-2010-4346

  [ Ubuntu: 2.6.24-29.87 ]

  * Release Tracking Bug
    - LP: #725138
  * bluetooth: Fix missing NULL check, CVE-2010-4242
    - LP: #714846
    - CVE-2010-4242
  * NFS: fix the return value of nfs_file_fsync()
    - LP: #585657
  * bio: take care not overflow page count when mapping/copying user data,
    CVE-2010-4162
    - LP: #721441
    - CVE-2010-4162
  * filter: make sure filters dont read uninitialized memory
    - LP: #721282
    - CVE-2010-4158
  * tty: Make tiocgicount a handler, CVE-2010-4076, CVE-2010-4077
    - LP: #720189
    - CVE-2010-4077
  * block: check for proper length of iov entries earlier in
    blk_rq_map_user_iov(), CVE-2010-4163
    - LP: #721504
    - CVE-2010-4163

 -- Ike Panhc <ike.pan@canonical.com>  Thu, 21 Apr 2011 11:28:16 +0800
